<?php
/**
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * 
 * This template is a slightly modified version of the beez template to generate
 * mobileOK content.
 */

defined('_JEXEC') or die('Restricted access');

$url = clone(JURI::getInstance());
/*
$showRightColumn = $this->countModules('user1 or user2 or right or top');
$showRightColumn &= JRequest::getCmd('layout') != 'form';
$showRightColumn &= JRequest::getCmd('task') != 'edit'
*/
$showRightColumn = false;


// Suppress fake limit that may have been added by the mobileOK Pythia plug-in
if ($url->getVar("limit") == "5") {
	$url->delVar("limit");
}

// Append query string to base URI so that fragment anchors keep their meaning.
$this->base = str_replace("&", "&amp;", $url->toString());

echo '<?xml version="1.0" encoding="UTF-8" ?>';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML Basic 1.1//EN" "http://www.w3.org/TR/xhtml-basic/xhtml-basic11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" >
<head>
	<jdoc:include type="head" style="beezFixBase" />
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/beez_mobileok/css/template.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/beez_mobileok/css/position.css" type="text/css" media="screen,projection" />
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/beez_mobileok/css/layout.css" type="text/css" media="screen,projection" />
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/beez_mobileok/css/general.css" type="text/css" />
	<?php if($this->direction == 'rtl') : ?>
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/beez_mobileok/css/template_rtl.css" type="text/css" />
	<?php endif; ?>
</head>
<body>
	<div id="all">
		<div id="header">
			<h1 id="logo">
				<img src="<?php echo $this->baseurl ?>/templates/beez_mobileok/images/logo.gif" alt="<?php echo JText::_('Logo Beez, Three little Bees'); ?>" width="120" height="39" />
				<span class="header1"><?php echo JText::_('Joomla Accessible Template'); ?></span>
			</h1>
			
			<div id="fontsize"></div>

			<ul>
				<li><a href="#content" class="u2"><?php echo JText::_('Skip to Content'); ?></a></li>
				<li><a href="#mainmenu" class="u2"><?php echo JText::_('Jump to Menu'); ?></a></li>
			</ul>

			<h2 class="unseen">
				<?php echo JText::_('Search, View and Navigation'); ?>
			</h2>

			<jdoc:include type="modules" name="user4" />

			<div id="breadcrumbs">
				<p>
					<?php echo JText::_('You are here'); ?>
					<jdoc:include type="modules" name="breadcrumb" />
				</p>
			</div>
			<div class="wrap">&nbsp;</div>
		</div>

		<div id="<?php echo $showRightColumn ? 'contentarea2' : 'contentarea'; ?>">
			<a id="content"></a>
			<div id="wrapper">
			<div id="<?php echo $showRightColumn ? 'main2' : 'main'; ?>">
				<?php if ($this->getBuffer('message')) : ?>
				<div class="error">
					<h2>
						<?php echo JText::_('Message'); ?>
					</h2>
					<jdoc:include type="message" />
				</div>
				<?php endif; ?>

				<jdoc:include type="component" />
			</div>

			<a id="mainmenu"></a>
			<div id="left">
				<jdoc:include type="modules" name="left" style="beezDivision" headerLevel="3" />
			</div>
			
			<?php if ($showRightColumn) : ?>
			<div id="right">

				<a id="additional"></a>
				<h2 class="unseen">
					<?php echo JText::_('Additional Information'); ?>
				</h2>

				<jdoc:include type="modules" name="top" style="beezDivision" headerLevel="3" />
				<jdoc:include type="modules" name="user1" style="beezDivision" headerLevel="3" />
				<jdoc:include type="modules" name="user2" style="beezDivision" headerLevel="3" />
				<jdoc:include type="modules" name="right" style="beezDivision" headerLevel="3" />
			</div>
			<?php endif; ?>

			<div class="wrap"></div>
			</div>
		</div>

		<div id="footer">
			<?php
			// Syndicate logo is a PNG image and is output without width and height
			// Removing it till we find a better way to modify that module. 
			//<p class="syndicate">
			//	<jdoc:include type="modules" name="syndicate" />
			//</p>
			?>
			<p><?php echo JText::_('Powered by');?> <a href="http://www.joomla.org/">Joomla!</a></p>
			<div class="wrap"></div>
		</div>
	</div>

	<jdoc:include type="modules" name="debug" />

<script type="text/javascript">
//<![CDATA[
var txtFS = "<?php echo JText::_('FONTSIZE'); ?>",
	txtFSIncr = "<?php echo JText::_('Increase size'); ?>", txtFSBig = "<?php echo JText::_('bigger'); ?>",
	txtFSDecr = "<?php echo JText::_('Decrease size'); ?>",
	txtFSSmall = "<?php echo JText::_('smaller'); ?>",
	txtFSRevert = "<?php echo JText::_('Revert styles to default'); ?>",
	txtFSReset = "<?php echo JText::_('reset'); ?>";
//]]>
</script>
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/beez_mobileok/javascript/md_stylechanger.js"></script>
</body>
</html>